Bug 143994 - CAN-2004-1316 buffer overflow in mozilla
Summary: CAN-2004-1316 buffer overflow in mozilla
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20041230
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-03 15:20 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 13:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:038 normal SHIPPED_LIVE Low: mozilla security update 2005-01-13 05:00:00 UTC

Description Josh Bressers 2005-01-03 15:20:42 UTC
As reported on secunia
http://secunia.com/advisories/13687/

Maurycy Prodeus has reported a vulnerability in Mozilla, which can be exploited
by malicious people to cause a DoS (Denial of Service) and potentially
compromise a user's system.

The vulnerability is caused due to a boundary error in the
"MSG_UnEscapeSearchUrl()" function in "nsNNTPProtocol.cpp" when processing NNTP
URIs. This can be exploited via e.g. a malicious web site to cause a heap-based
buffer overflow when referencing a specially crafted, overly long "news://" URI.

Successful exploitation crashes the application, but may potentially allow
execution of arbitrary code.

The vulnerability has been reported in version 1.7.3 and prior.

Comment 1 Josh Bressers 2005-01-03 15:23:11 UTC
This issue should also affect RHEL2.

Comment 2 Josh Bressers 2005-01-04 12:27:28 UTC
This appears to be the upstream fix for this issue.

https://bugzilla.mozilla.org/show_bug.cgi?id=264388

Comment 3 Christopher Blizzard 2005-01-04 18:15:59 UTC
Over to caillon.

Comment 4 Josh Bressers 2005-01-13 13:38:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-038.html



Note You need to log in before you can comment on or make changes to this bug.